Bug 11612 - hosts.deny doesn't do option shell stuff.
hosts.deny doesn't do option shell stuff.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: tcp_wrappers (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-23 14:52 EDT by Robert Thomas
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-14 12:12:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Thomas 2000-05-23 14:52:06 EDT
in hosts.deny, there is an optional field that allows you to do a command
shell (i.e. the last field).  I have it send me mail - like so:

in.ftpd :       ALL     :       (/usr/sbin/safe_finger -l @%h |
/usr/bin/Mail -s %d-%h thoma041@info.census.gov ) &

And hosts.allow has nothing in it ('cept the stuff that came in there from
RH).

If I grab Wietse's distribution of the wrappers (7.6 which is fairly old)
off of Porcupine, this works fine - it does the finger on the remote host
and mails it to me.

Also, the version that comes standard doesn't seem to be paranoid enough
(even on the enterprise w/ssl dist).  This may be intentional.

-Robert
Comment 1 Henri Schlereth 2000-07-14 12:12:50 EDT
I have this in mine.

ALL : ALL: spawn (echo Probe from %h to %d at `date` | tee -a /var/log/tcpdeny.l
og |mail root )
Comment 2 Jeff Johnson 2000-07-27 18:05:34 EDT
This smells like incorrect syntax used in hosts.deny. Please reopen if I'm
wrong.

Note You need to log in before you can comment on or make changes to this bug.